Package Scientific :: Module indexing

[frames] | no frames]

# Module indexing

Array indexing utility

This module provides a convenient method for constructing array indices algorithmically. It provides one importable object, index_expression.

For any index combination, including slicing and axis insertion, `a[indices]` is the same as `a[index_expression[indices]]` for any array {a}. However, `index_expression[indices]` can be used anywhere in Python code and returns a tuple of indexing objects that can be used in the construction of complex index expressions.

Sole restriction: Slices must be specified in the double-colon form, i.e. `a[::]` is allowed, whereas `a[:]` is not.

Variables
| index_expression = `<Scientific.indexing._index_expression_clas`...``

Variables Details

### index_expression

Value:

      <Scientific.indexing._index_expression_class instance at 0x2220418>